@font-face {
    font-family: 'Bleibe';
    src: url(OceanicGrotesk-Regular.woff2) format('woff2');
}

/* http://meyerweb.com/eric/tools/css/reset/
v2.0 | 20110126
License: none (public domain)
*/
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
	display: block;
}

body {
	line-height: 1;
}

ol,
ul {
	list-style: none;
}

blockquote,
q {
	quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
	content: '';
	content: none;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

img {
	width: 100%;
	height: auto;
}

figure {
	line-height: 0;
}

a {
	color: inherit;
	text-decoration: none;
}

* {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	scroll-behavior: smooth;
}

html {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

/* Styles */

body {
    font-family: 'Bleibe', Helvetica, Arial, sans-serif;
    letter-spacing: -0.05rem;
    color: #322a1f;
    background: #FFFBF6;
    font-size: 18px;
}

header img {
    display: block;
    width: 180px;
    height: auto;
    margin: 0 auto;
}

header .logo {
    position: absolute;
    top: 5rem;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
}

h1 {
    text-align: left;
    font-size: 3.5rem;
    line-height: 1.1;
    margin-top: 1.5rem;
    position: absolute;
    left: 2rem;
    bottom: 3rem;
    z-index: 100;
    color: #FFFBF6;
}

main {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 2rem 0;
}

.content {
    display: block;
    width: 100%;
    max-width: 700px;
    padding: 1rem;
    margin-top: calc(100vh + 4rem);
}

.hero {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100vw;
    height: 100vh;
    min-height: 100vh;
    background: url('Laubengang_wide.webp') no-repeat center center;
    background-size: cover;
    z-index: 1;
}

p {
    font-size: 2rem;
    margin-bottom: 1em;
    line-height: 1.1;
}

p:last-child {
    margin-bottom: 0;
}

.contact {
    margin-top: 8rem;
    padding: 2rem 1rem;
}

.contact p {
    text-align: center;
}

footer {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #322a1f;
    color: #FFFBF6;
    margin-top: 10rem;
    padding: 1rem;
    min-height: 100vh;
    line-height: 1.2;
}

footer p {
    font-size: 1rem;
    letter-spacing: 0;
}

footer a {
    text-decoration: underline;
}

footer h2 {
    padding-bottom: 1em;
    letter-spacing: 0;
}

.legal {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    padding-bottom: 10rem;
}

.btn {
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn a {
    font-size: 2rem;
    text-align: center;
    border: 2px solid #322a1f;
    padding: 1rem 1.5rem;
    display: inline-block;
    margin-top: 1rem;  
    border-radius: 20px;
    transition: all 0.3s ease;
}

.btn a:hover {
    background: #322a1f;
    color: #FFFBF6;
}

.info {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 0.8rem 1rem;
    background: #322a1f;
    color: #FFFBF6;
    font-size: 0.8rem;
    text-align: center;
    letter-spacing: 0;
    position: relative;
    z-index: 100;
}

.cta a {
    display: inline-block;
    font-size: 1rem;
    text-align: left;
    line-height: 1.25;
    letter-spacing: 0;
    background: #E3BD22;
    color: #000000;
    padding: 1.5rem 2.5rem;
    border-radius: 20px;
}

.cta {
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    transform: translateX(0);
    transition: transform 0.6s ease, opacity 0.6s ease;
    z-index: 100;
}

.cta.hide {
    transform: translate(0, 150%);
    opacity: 0;
}

.icon-container {
    padding: 16rem 1rem 8rem;
}

.icon img {
    width: 100%;
    max-width: 120px;
    height: auto;
}

footer .icon img {
    display: block;
    width: 100%;
    max-width: 200px;
    margin: 0 auto 8rem;
    height: auto;
}

@media screen and (max-width: 768px) {
    .btn a {
        font-size: 1.5rem;
    }
    .info {
        padding: 0.8rem 4rem;
        line-height: 1.3;
    }
    .legal {
        grid-template-columns: 1fr;
        gap: 2rem;
    }
    h1 {
        font-size: 2.5rem;
        line-height: 1;
        left: 1rem;
        bottom: auto;
        top: 35vh;
    }
    p {
        font-size: 1.5rem;
    }
    .content {
        max-width: 100%;
    }

    .keyvisual {
        max-width: 100%;
    }
    .cta a {
        padding: 1rem 1.5rem;
        border-radius: 20px;
    }
}
